IBTMO(3)

NAME
ibtmo - adjust io timeout (board or device)

SYNOPSIS

#include <gpib/ib.h>

int ibtmo(int ud, int timeout);

DESCRIPTION

ibtmo() sets the timeout for IO operations and ibwait calls performed using the board or device descriptor ud. The actual amount of time before a timeout occurs may be greater than the period specified, but never less. timeout is specified by using one of the following constants:

Table 11. Timeout constants
constant | value | timeout
TNONE | 0 | Never timeout.
T10us | 1 | 10 microseconds
T30us | 2 | 30 microseconds
T100us | 3 | 100 microseconds
T300us | 4 | 300 microseconds
T1ms | 5 | 1 millisecond
T3ms | 6 | 3 milliseconds
T10ms | 7 | 10 milliseconds
T30ms | 8 | 30 milliseconds
T100ms | 9 | 100 milliseconds
T300ms | 10 | 300 milliseconds
T1s | 11 | 1 second
T3s | 12 | 3 seconds
T10s | 13 | 10 seconds
T30s | 14 | 30 seconds
T100s | 15 | 100 seconds
T300s | 16 | 300 seconds
T1000s | 17 | 1000 seconds

RETURN VALUE

The value of ibsta is returned.

COPYRIGHT
Copyright © 2003-2006, 2008 Frank Mori Hess